%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%                                                                     %%%
%%%                 Plot file heading on WP CSEI                        %%%
%%%                                                                     %%%
%%%                 Written by: Fredrik Sandved, 2015                   %%%
%%%                                                                     %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set(0,'defaulttextinterpreter','latex')
close all

load eta_t.mat
load nu_r.mat

N = length(eta_t);
M = length(eta_t);

%% North East Plot

X = eta_t(2,:);
Y = eta_t(3,:);
PSI = eta_t(4,:);
tsamp = h;
tstart = 0;
tstop = t_stop;
track = 0;

L = 1;
dec = 5*tstop;
 
X_m = eta_t(2,:);
Y_m = eta_t(3,:);
PSI_m = eta_t(4,:);
 
 
figure(4)
hold on
%psiTemp=atan2(WP(2,2)-WP(2,1),WP(1,2)-WP(1,1));
 
   % siz=size(WP);
   
 
    plot(Y_m, X_m,'r')
    plot(Y,X,'k')
 
%for ii=1:(siz(2)-1)
%       plot([WP(2,ii), WP(2,ii+1)], [WP(1,ii), WP(1,ii+1)], 'g+')
% end
tnow=tstart;
for now=1:dec:length(X_m)
    
    tmpR=[cos(PSI_m(now)) -sin(PSI_m(now)); sin(PSI_m(now)) cos(PSI_m(now))];
    boat = tmpR*[L/2 .9*L/2 .5*L/2 -L/2 -L/2 .5*L/2 .9*L/2 L/2; 
              0 L/10 L/3 L/3 -L/3 -L/3 -L/10 0];
    plot(Y_m(now)+boat(2,:),X_m(now)+boat(1,:),'r');
    patch(Y_m(now)+boat(2,:),X_m(now)+boat(1,:),'r');
    
    tnow=tnow+tsamp*dec;
end
 
 
 
for now=1:dec:length(X)
    
    tmpR=[cos(PSI(now)) -sin(PSI(now)); sin(PSI(now)) cos(PSI(now))];
    boat = tmpR*[L/2 .9*L/2 .5*L/2 -L/2 -L/2 .5*L/2 .9*L/2 L/2; 
              0 L/10 L/3 L/3 -L/3 -L/3 -L/10 0];
    plot(Y(now)+boat(2,:),X(now)+boat(1,:),'r');
    patch(Y(now)+boat(2,:),X(now)+boat(1,:),'r');
    
    tnow=tnow+tsamp*dec;
end
 
hold on

title('North East postion')
xlabel('East [m]')
ylabel('North [m]')
grid on
hold off
axis equal
saveas(figure(4),'NE.eps','epsc')