%% Run file Neptunus 6 DOF simulink simulation

% Initialize parameters
clear all
close all
clc 

CSEI3_DOF

% Initial settings for simulation

deg2rad = pi/180;
rad2deg = 180/pi;

x_0 = 0;
y_0 = 0;
psi_0 = 90;

nu_init = [0 0 0]';

eta_init = [x_0 y_0 psi_0*deg2rad]';


% Run time and step size

t_start = 0;

t_stop = 100;

h = 0.01;


WP_data_1 = [0   5 10  10 10 15 20 12  12 ;
             10 15 10  0  -5 -10 -5 10 40 ];

WP_data_2 = [0  10  10  0  0  10  10 0;
             10 10  0  0  10 10 0 0];

WP_data_3 = [3 -5  2 -6  4 -7  0  -2;
             3 10 15 22 30 36 45 100];
         
WP_data_4 = [10 20 30 40 50 60 70 200;
              0 10 10  0  0  0  0  0];
          
WP_data_5 = [   2.00 6.000 6.000  2.00  2.00 6.000 6.000 2.00 ;
               -1.75 -1.75  1.75  1.75  -1.75 -1.75  1.75 1.75 ]; 

         
WP_data = WP_data_1;
      
R_lim = 2;

% Guidance parameters

u_r = 0.6;

v_r = 0;

omega_n = 0.8;

zeta = 1;

% Controller gains

Kp_u = 30;
Ki_u = 0;

Kp_psi = 5;
Ki_psi = 0;
Kd_psi = 0;

Delta = 2;

% Run simulation

sim('CSEI_simu.slx');

plot_LOS