%% Run file Neptunus 6 DOF simulink simulation

% Initialize parameters
clear all
close all
clc 

CSEI3_DOF

% Initial settings for simulation

deg2rad = pi/180;
rad2deg = 180/pi;

x_0 = 0;
y_0 = 0;
psi_0 = 90;

nu_init = [0 0 0]';

eta_init = [x_0 y_0 psi_0*deg2rad]';


% Run time and step size

t_start = 0;

t_stop = 100;

h = 0.01;


WP_data_1 = [0 20 20 0   0 20 20 0;
             10 10 0  0  10 10 0 0];

WP_data_2 = [3  4  0  -3    -1  3   4 4;
             10 12 18 19 13 14 20 100];

WP_data_3 = [-5 0 10 20 17 50;
              5 15 5 15 20 20];
           
         
WP_data = WP_data_1;
      
R_lim = 1;

% Guidance parameters

u_r = 0.6;

v_r = 0;

omega_n = 0.8;

zeta = 1;

% Current parameters

mu = 0.01;

beta_c = pi;

V_max = 0.02;

V_min = 0.001;

V_c_mean = (V_max+V_min)/2;


% Controller gains

Kp_u = 100;
Ki_u = 5;

Kp_psi = 20;
Ki_psi = 1;
Kd_psi = 0;

Delta = 3;

% Run simulation

sim('CSEI_simu.slx');

plot_LOS