%% Neptunus 3 DOF model

m = 14.790;
I_z = 1.760;
deg2rad = pi/180;
x_g = 0.0375;

M_RB = [m     0      0;
        0     m    m*x_g;
        0   m*x_g   I_z];
    
M_A =  [2      0           0;
        0      10          0;
        0      0           1];
    
D_L = [0.655    0      0;
        0     1.330   0;
        0        0     1.900];
    
D_NL = [-0.355   0      0;
        0     2.776    0.845;
        0     0.805    0.750];
    
g_eta = [0; 0; 0];

l_VSP = -0.4575;
l_BT  = 0.3875;
T = [1 0     0
     0 1    1
     0 l_VSP l_BT];
 
F_max_VSP = 1.165;
F_max_BT  = 2.629;
K = [F_max_VSP 0         0
     0         F_max_VSP 0
     0         0         F_max_BT];

 
 tau = T*K;
 
 T_cross = 1\tau;
