%% Run file: Maneuvering

clear all
close all
clc

CSEI3_DOF

deg2rad = pi/180;
rad2deg = 180/pi;

x_0 = 0;
y_0 = 0;
psi_0 = 0;

nu_init = [0 0 0]';

eta_init = [x_0 y_0 psi_0*deg2rad]';

t_stop = 400;


x_c = 0;
y_c = 0;


r_x = 10;
r_y = 10;

u_d = 0.6;

Delta = 5;

K_p_x = 1;
K_p_y = 1;
K_p_psi = 15;

K_d_u = 2000;
K_d_v = 2000;
K_d_r = 20;

K_b_u = 10;
K_b_v = 10;
K_b_r = 1;

K_b = diag([K_b_u,K_b_v,K_b_r]);

h = 0.01;

% Current parameters

mu = 0.01;

beta_c = pi;

V_max = 0.02;

V_min = 0.0001;

V_c_mean = (V_max+V_min)/2;


my = 0.00;
% %% CSE1 info
% syms u v r X Y N
% 
% %% MATRICES
% 
m    = 14.79;   I_z  =  1.7600;   x_g = 0.0375;       % x_g  =  0.0460; % Table B.1
% 
% 
%% Added mass
X_ud  =     -2.0;											% Table B.1
					Y_vd =     -10.0;	N_vd =    -0.0;		% Table B.1
					Y_rd =      -0.0;	N_rd =    -1.0;		% Table B.1
% 
% %% Total mass matrix
m_11 = m-X_ud;
m_22 = m-Y_vd;
m_23 = m*x_g-Y_rd;
m_32 = m*x_g-N_vd;
m_33 = I_z-N_rd;
% 
M    = [m_11 0    0
         0    m_22 m_23
         0    m_32 m_33];


sim('maneuvering.slx')

plot_Maneuvering