%% Neptunus 3 DOF model

m = 3.46;
I_z = 0.039895;
deg2rad = pi/180;

M_RB = [m 0 0;
        0 m 0;
        0 0 I_z];
    
M_A = [2.0555      0           0;
        0       14.6033     -0.8926;
        0       -0.8926     0.1498];
    
M = M_RB + M_A;
    
D_L = [2.2907    0      0;
        0     4.9804   0;
        0        0     0.2605];
    
D_NL = [4.0077   0      0;
        0     35.2159   0;
        0        0     0.3196];
    
g_eta = [0; 0; 0];
 
l_1 = -0.17996;                           % Length from CO to hor. thrusters (y-dir)                     
alpha = 8.9144*deg2rad;
l_2 =  0.04435;


T                   =                   [cos(alpha)                             cos(alpha)                0;               % Thruster allocation matrix
                                         sin(alpha)                            -sin(alpha)                0; 
                                         -l_1*sin(alpha)+l_2*cos(alpha) l_1*sin(alpha)-l_2*cos(alpha)     0];

K_11                =                   1;                                  % Thrust coefficient 1
K_22                =                   1;                                  % Thrust coefficient 2
K_33                =                   1;                                  % Thrust coefficient 3

K                   =                   diag([K_11, K_22, K_33]);           % Thrust coefficient matrix


W                   =                   diag([1,1,1]);

T_cross             =                   T'*(T*T')^(-1);

