%% Run file Neptunus 6 DOF simulink simulation

% Initialize parameters

neptunus_6DOF

% Initial settings for simulation

deg2rad = pi/180;

x_0 = 0;
y_0 = 0;
z_0 = 40;
phi_0 = 10;
theta_0 = 25;
psi_0 = 0;

nu_init = [0 0 0 0 0 0]';

eta_init = [x_0 y_0 z_0 phi_0*deg2rad theta_0*deg2rad psi_0*deg2rad]';


% Current parameters

beta_c = pi;

mu = 0.01;

V_max = 0.02;

V_min = 0.001;

V_c_mean = (V_max-V_min)/2;

% Run time and step size

t_start = 0;

t_stop = 100;

h = 0.01;

% Thruster input

u_in                =                   [0 0 -1]';                           % Applied force on each thruster 
tau                 =                   T*K*u_in;                             % Thruster allocation

% Run simulation

sim('neptunus_sim.slx');

% Plot

plot_Neptunus

